Lock iconv to version 0.1 as later ones need ruby 1.9
authorTom Hughes <tom@compton.nu>
Wed, 20 Mar 2013 23:14:23 +0000 (23:14 +0000)
committerTom Hughes <tom@compton.nu>
Sun, 24 Mar 2013 09:52:00 +0000 (09:52 +0000)
Gemfile
Gemfile.lock

diff --git a/Gemfile b/Gemfile
index e395e64fabbdeda7e23b75e437f17ca0d501107b..787a0864008fe0710c41e3307d5b85298309210c 100644 (file)
--- a/Gemfile
+++ b/Gemfile
@@ -37,7 +37,7 @@ gem 'ruby-openid', '>= 2.2.0'
 gem 'redcarpet'
 
 # Character conversion support for ruby 1.8
-gem 'iconv', :platforms => :ruby_18
+gem 'iconv', '= 0.1', :platforms => :ruby_18
 
 # Load libxml support for XML parsing and generation
 gem 'libxml-ruby', '>= 2.0.5', :require => 'libxml'
index a9102e5a1887c0b9fc10e668ded50de890ae715b..a53bc3d0d49edd889d7e9153f8c5bd8ad91d380c 100644 (file)
@@ -42,7 +42,7 @@ GEM
     coffee-script (2.2.0)
       coffee-script-source
       execjs
-    coffee-script-source (1.4.0)
+    coffee-script-source (1.6.2)
     composite_primary_keys (5.0.12)
       activerecord (~> 3.2.0, >= 3.2.9)
     deadlock_retry (1.2.0)
@@ -51,15 +51,15 @@ GEM
     erubis (2.7.0)
     execjs (1.4.0)
       multi_json (~> 1.0)
-    faraday (0.8.5)
+    faraday (0.8.6)
       multipart-post (~> 1.1)
     hike (1.2.1)
     htmlentities (4.3.1)
     http_accept_language (1.0.2)
     httpauth (0.2.0)
-    httpclient (2.3.2)
-    i18n (0.6.1)
-    i18n-js (3.0.0.rc3)
+    httpclient (2.3.3)
+    i18n (0.6.4)
+    i18n-js (3.0.0.rc5)
       i18n
     iconv (0.1)
     journey (1.0.4)
@@ -67,28 +67,28 @@ GEM
       railties (>= 3.0, < 5.0)
       thor (>= 0.14, < 2.0)
     json (1.7.7)
-    jwt (0.1.5)
-      multi_json (>= 1.0)
+    jwt (0.1.8)
+      multi_json (>= 1.5)
     libv8 (3.3.10.4)
-    libxml-ruby (2.5.0)
+    libxml-ruby (2.6.0)
     mail (2.4.4)
       i18n (>= 0.4.0)
       mime-types (~> 1.16)
       treetop (~> 1.4.8)
     memcached (1.5.0)
     mime-types (1.21)
-    minitest (4.6.0)
-    multi_json (1.5.1)
+    minitest (4.7.0)
+    multi_json (1.7.2)
     multi_xml (0.5.3)
-    multipart-post (1.1.5)
-    nokogiri (1.5.6)
+    multipart-post (1.2.0)
+    nokogiri (1.5.9)
     oauth (0.4.7)
     oauth-plugin (0.4.1)
       multi_json
       oauth (~> 0.4.4)
       oauth2 (>= 0.5.0)
       rack
-    oauth2 (0.9.0)
+    oauth2 (0.9.1)
       faraday (~> 0.8)
       httpauth (~> 0.1)
       jwt (~> 0.1.4)
@@ -104,7 +104,7 @@ GEM
       mime-types
     pg (0.14.1)
     polyglot (0.3.3)
-    r2 (0.0.3)
+    r2 (0.1.0)
     rack (1.4.5)
     rack-cache (1.2)
       rack (>= 0.4)
@@ -125,7 +125,7 @@ GEM
       activesupport (= 3.2.12)
       bundler (~> 1.0)
       railties (= 3.2.12)
-    rails-i18n (0.7.2)
+    rails-i18n (0.7.3)
       i18n (~> 0.5)
     railties (3.2.12)
       actionpack (= 3.2.12)
@@ -135,14 +135,14 @@ GEM
       rdoc (~> 3.4)
       thor (>= 0.14.6, < 2.0)
     rake (10.0.3)
-    rdoc (3.12.1)
+    rdoc (3.12.2)
       json (~> 1.4)
     redcarpet (2.2.2)
     rinku (1.7.2)
-    ruby-openid (2.2.2)
+    ruby-openid (2.2.3)
     sanitize (2.0.3)
       nokogiri (>= 1.4.4, < 1.6)
-    sass (3.2.5)
+    sass (3.2.7)
     sass-rails (3.2.6)
       railties (~> 3.2.0)
       sass (>= 3.1.10)
@@ -155,12 +155,12 @@ GEM
     therubyracer (0.10.2)
       libv8 (~> 3.3.10)
     thor (0.17.0)
-    tilt (1.3.3)
-    timecop (0.5.9.2)
+    tilt (1.3.6)
+    timecop (0.6.1)
     treetop (1.4.12)
       polyglot
       polyglot (>= 0.3.1)
-    tzinfo (0.3.35)
+    tzinfo (0.3.37)
     uglifier (1.3.0)
       execjs (>= 0.3.0)
       multi_json (~> 1.0, >= 1.0.2)
@@ -181,7 +181,7 @@ DEPENDENCIES
   http_accept_language (>= 1.0.2)
   httpclient
   i18n-js (>= 3.0.0.rc2)
-  iconv
+  iconv (= 0.1)
   jquery-rails
   libxml-ruby (>= 2.0.5)
   memcached (>= 1.4.1)